<ng-template #ghostRef>
  <header>
    <div class="container ghost">
      <sfl-ghost-line [count]="2"></sfl-ghost-line>
      <bar-rating [rate]="0" [max]="5" [theme]="'stars'" [readOnly]="true"></bar-rating>
    </div>
  </header>
  <section>
    <div class="container">
      <sfl-ghost-line [count]="1"></sfl-ghost-line>
    </div>
    <section class="container">
      <sfl-ghost-line [count]="3"></sfl-ghost-line>
    </section>
  </section>
</ng-template>
<ng-container *ngIf="media; else ghostRef">
  <header>
    <div class="status">
      <span class="status__love" *ngIf="media?.love" [matTooltip]="'shared.tip.love' | translate">
        <mat-icon>favorite</mat-icon>
      </span>
      <span class="status__wish" *ngIf="media?.wish" [matTooltip]="'shared.tip.wish' | translate">
        <mat-icon>alarm</mat-icon>
      </span>
      <span class="status__inProgress" *ngIf="media?.inProgress" [matTooltip]="'shared.tip.inProgress' | translate">
        <mat-icon>play_arrow</mat-icon>
      </span>
    </div>

    <img [src]="media.image" onerror="this.style.display='none'" alt="media image" />

    <div class="container">
      <h1>{{ media?.title }}</h1>
      <h2>{{ media?.type }}</h2>
      <bar-rating [rate]="media?.rate" [max]="5" [theme]="'stars'" [readOnly]="true"></bar-rating>
    </div>
  </header>

  <section>
    <div class="container" *ngIf="media?.genres?.length">
      <mat-chip-list aria-label="media genres">
        <a [routerLink]="['/', 'referentials', 'genre']"
          ><mat-chip selected color="accent" *ngFor="let genre of media?.genres">{{ genre.label }}</mat-chip></a
        >
      </mat-chip-list>
    </div>

    <div class="container" *ngIf="media?.authors?.length">
      <mat-chip-list aria-label="media genres">
        <a [routerLink]="['/', 'referentials', 'author']"
          ><mat-chip selected color="accent" *ngFor="let author of media?.authors">{{
            author.firstname + ' ' + author.lastName
          }}</mat-chip></a
        >
      </mat-chip-list>
    </div>

    <section class="container" *ngIf="media?.description">
      <h3>Description</h3>
      <p>{{ media?.description }}</p>
    </section>
  </section>
</ng-container>
